# Class TemporaryQueueExecutor

java.lang.Object
org.apache.jmeter.protocol.jms.sampler.TemporaryQueueExecutor

All Implemented Interfaces:
  `QueueExecutor`

public class TemporaryQueueExecutor extends Object implements QueueExecutor
Request/reply executor with a temporary reply queue.
Used by JMS Sampler (Point to Point)

## Constructor Summary

Constructors
Constructor
Description
`TemporaryQueueExecutor(QueueSession session, Queue destination)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Message`
`sendAndReceive(Message request, int deliveryMode, int priority, long expiration)`
Sends and receives a message.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TemporaryQueueExecutor

public TemporaryQueueExecutor(QueueSession session, Queue destination) throws JMSException
Constructor.

Parameters:
  `session` - the session to use to send the message
  `destination` - the queue to send the message on

## Method Details

### sendAndReceive

public Message sendAndReceive(Message request, int deliveryMode, int priority, long expiration) throws JMSException
Sends and receives a message.

Specified by:
  `sendAndReceive` in interface `QueueExecutor`
Parameters:
  `request` - the message to send
  `deliveryMode` - the delivery mode to use
  `priority` - the priority for this message
  `expiration` - messages lifetime in ms
Returns:
  the received message or `null`
Throws:
  `JMSException`